function h = plotError(center,C,symbol,n)
% center: 2x1 position vector
% C: 2x2 covariance matrix
% symbol: plot symbol, eg 'r'
% n: number of points

if nargin < 4
    n=200; % Number of points around ellipse
end

p=0:pi/n:2*pi; % angles around a circle

[eigvec,eigval] = eig(C); % Compute eigen-stuff
xy = [cos(p'),sin(p')] * sqrt(eigval) * eigvec'; % Transformation
x = center(1) + xy(:,1);
y = center(2) + xy(:,2);

h = plot(x, y, symbol);
